<?php

namespace App\Controller;

use App\Form\ContactType;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Mailer\MailerInterface;
use Symfony\Component\Mime\Email;
use Symfony\Component\Routing\Annotation\Route;

class ContactController extends AbstractController
{
    #[Route('/contact', name: 'app_contact')]
    public function index(Request $request, MailerInterface $mailer)
    {    
        $form = $this->createForm(ContactType::class);
        $form->handleRequest($request);
        if($form->isSubmitted() && $form->isValid()) {           
            $contactFormData = $form->getData();
            $email = (new Email())
                ->from($contactFormData['email'])
                ->to('contact@kerenes-digital.com') 
                ->subject('Demande de contact sur votre site de ' . $contactFormData['name'].' - '.$contactFormData['phone'])
                ->text($contactFormData['name']. ' '. $contactFormData['phone']. ' vous a envoyé le message suivant : ' . $contactFormData['message'])
                ->html($contactFormData['message']);
            $mailer->send($email);
            $this->addFlash('success', 'Votre message a été envoyé');
            return $this->redirectToRoute('app_home');
        }
        return $this->render('contact/index.html.twig', [
            'form' => $form->createView()
        ]);
    }
}