<?php

namespace App\Entity;

use App\Entity\Traits\TimestampsTrait;
use App\Repository\StopoverRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: StopoverRepository::class)]
class Stopover
{
    use TimestampsTrait;
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 100)]
    private ?string $name = null;

    #[ORM\Column(length: 10)]
    private ?string $abbreviation = null;

     public function getId(): ?int
    {
        return $this->id;
    }

    
    /**
    * @var Company
    */
   #[
       ORM\ManyToOne(targetEntity: Company::class),
       ORM\JoinColumn(name: "company_id", referencedColumnName: "id")
    ]
    private Company $company; 

    public function getCompany(): ?Company
    {
        return $this->company;
    }

    public function setCompany(?Company $company): self
    {
        $this->company = $company;

        return $this;
    }
    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getAbbreviation(): ?string
    {
        return $this->abbreviation;
    }

    public function setAbbreviation(string $abbreviation): self
    {
        $this->abbreviation = $abbreviation;

        return $this;
    }
    /**
     * @var Employee
     */
    #[
        ORM\ManyToOne(targetEntity: Employee::class),
        ORM\JoinColumn(name: "employee_id", referencedColumnName: "id")
    ]
    private Employee $employee;

    #[ORM\ManyToOne(inversedBy: 'stopovers')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Ville $ville = null;

    #[ORM\OneToMany(mappedBy: 'departure', targetEntity: Tarif::class)]
    private Collection $tarifs;

    public function __construct()
    {
        $this->tarifs = new ArrayCollection();
    }

    public function getEmployee(): ?Employee
    {
        return $this->employee;
    }

    public function setEmployee(?Employee $employee): self
    {
        $this->employee = $employee;

        return $this;
    }
    
    public function __toString()
    {
        return $this->getName();
    }

    public function getVille(): ?Ville
    {
        return $this->ville;
    }

    public function setVille(?Ville $ville): static
    {
        $this->ville = $ville;

        return $this;
    }

    /**
     * @return Collection<int, Tarif>
     */

    /**
     * @return Collection<int, Tarif>
     */
    public function getTarifs(): Collection
    {
        return $this->tarifs;
    }
}
