<?php
namespace App\Form;

use Faker\Provider\bg_BG\PhoneNumber;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
class ContactType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('name',TextType::class,[
                'label'=>'Nom',
                ])
            ->add('email',EmailType::class,[
                'label'=>'Email',
                ])
            ->add('phone',TextType::class,[
                'label'=>'Téléphone',
                'attr' => [
                    'pattern' => '[0]{1}[4-6]{1}[0-9]{7}',
                    'placeholder' => '0612345678'
                    ]   
                ])
            ->add('message', TextareaType::class, [
                'label'=>'Message',
                'attr' => ['rows' => 6],
                ])
        ;
    }
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([]);
    }
}